CompareMetricsForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.CompareMetricsForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class CompareMetricsForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
                          org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlForm
                              org.hyperic.hq.ui.action.resource.common.monitor.visibility.CompareMetricsForm

All Implemented Interfaces:
  java.io.Serializable

    public class CompareMetricsForm

extends MetricsControlForm

Implementation notes: Rather than force a boss lookup just to find a name to display for the link back, (I mean, c'mon) it'll be stuffed into the request

See Also:
  Serialized Form

Field Summary
`java.lang.Integer` | `appdefTypeId`
`java.lang.Integer[]` | `childResourceIds`
`java.util.Map` | `metrics` keys are MeasurementTemplateValue's values are List's of MetricDisplaySummary's for each resource - the list length will not always be the same, in fact they'll only be the same if each of the resources has all of the same metrics configured
`java.lang.Integer[]` | `mtids`

Fields inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
`ACTION_DATE_RANGE, ACTION_LASTN, nextRange, prevRange`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`CompareMetricsForm()`

Method Summary
`java.lang.Integer` | `getAppdefType()`
`org.apache.struts.util.ImageButtonBean` | `getBack()`
`java.lang.Integer[]` | `getChildResourceIds()`
`java.util.Map` | `getMetrics()`
`java.lang.Integer[]` | `getMtids()`
`java.lang.String` | `getName()`
`java.lang.Integer[]` | `getR()` An alias for getChildResourceIds()
`boolean` | `isBackClicked()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAppdefType(java.lang.Integer integer)`
`void` | `setBack(org.apache.struts.util.ImageButtonBean b)`
`void` | `setChildResourceIds(java.lang.Integer[] childResourceIds)`
`protected void` | `setDefaults()`
`void` | `setMetrics(java.util.Map map)`
`void` | `setMtids(java.lang.Integer[] integers)`
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setR(java.lang.Integer[] childResourceIds)`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlForm
`getAdvanced, getEditRange, getEntityId, getForwardParams, getRange, getRb, getRbDate, getRe, getReadOnly, getReDate, getRnMenu, getSimple, isAdvancedClicked, isAnythingClicked, isEditRangeClicked, isRangeClicked, isSimpleClicked, setAdvanced, setEditRange, setRange, setRb, setRe, setReadOnly, setSimple, shouldValidate, toString`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
`getA, getCtype, getEid, getNextRange, getPrevRange, getRid, getRn, getRu, getType, getWantEndDate, isDateRangeSelected, isLastnSelected, isNextRangeClicked, isPrevRangeClicked, setA, setCtype, setEid, setNextRange, setPrevRange, setRid, setRn, setRu, setType, shouldValidateDateRange, validate`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mtids

    public java.lang.Integer[] mtids

### childResourceIds

    public java.lang.Integer[] childResourceIds

### appdefTypeId

    public java.lang.Integer appdefTypeId

### metrics

    public java.util.Map metrics

  keys are MeasurementTemplateValue's values are List's of MetricDisplaySummary's for each resource - the list length will not always be the same, in fact they'll only be the same if each of the resources has all of the same metrics configured

Constructor Detail

### CompareMetricsForm

    public CompareMetricsForm()

Method Detail

### getMetrics

    public java.util.Map getMetrics()

  Returns:

### getMtids

    public java.lang.Integer[] getMtids()

  Returns:

### getR

    public java.lang.Integer[] getR()

  An alias for getChildResourceIds()

  Returns:

### getChildResourceIds

    public java.lang.Integer[] getChildResourceIds()

  Returns:

### setMetrics

    public void setMetrics(java.util.Map map)

  Parameters:
    `map` -

### setMtids

    public void setMtids(java.lang.Integer[] integers)

  Parameters:
    `integers` -

### setR

    public void setR(java.lang.Integer[] childResourceIds)

  Parameters:
    `integers` -

### setChildResourceIds

    public void setChildResourceIds(java.lang.Integer[] childResourceIds)

  Parameters:
    `integers` -

### getAppdefType

    public java.lang.Integer getAppdefType()

  Returns:

### setAppdefType

    public void setAppdefType(java.lang.Integer integer)

  Parameters:
    `integer` -

### getName

    public java.lang.String getName()

  Returns:
    String

### setName

    public void setName(java.lang.String name)

  Sets the name.

  Parameters:
    `name` - The name to set

### getBack

    public org.apache.struts.util.ImageButtonBean getBack()

### setBack

    public void setBack(org.apache.struts.util.ImageButtonBean b)

### isBackClicked

    public boolean isBackClicked()

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `MetricsControlForm`

### setDefaults

    protected void setDefaults()

  Overrides:
    `setDefaults` in class `MetricsControlForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.